Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::EDevice Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pdumodel::EDevice Interface Reference

Common base interface for any kind of electrical device that is used in the PDU model, such as inlets, OCPs and outlets. More...

`import <EDevice.idl;`

Inheritance diagram for pdumodel::EDevice:

## Public Member Functions
vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device.
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device.
Waveform | getWaveform ()
| Get the current voltage and current waveforms for this device.
Waveform | getPoleWaveform (in PowerLine line)
| Get the current voltage and current waveforms for a pole of this device.

## Detailed Description

Common base interface for any kind of electrical device that is used in the PDU model, such as inlets, OCPs and outlets.

EDevices form a hierarchy of parent-child relationships. An EDevice is defined to be the parent of another if it "provides energy" to the latter. E.g. an inlet could be the parent of a number of OCPs, wires or outlets.

An EDevice can have multiple parents, e.g. in case of transfer switches which select power from multiple sources.

Definition at line 27 of file EDevice.idl.

## Member Function Documentation

## ◆ getChildren()

vector< EDevice > pdumodel::EDevice::getChildren | ( |  | ) |

Get the list of devices that are directly fed by this device.

Returns
  List of child devices

## ◆ getParents()

vector< EDevice > pdumodel::EDevice::getParents | ( |  | ) |

Get the list of devices that provide energy to this device.

Returns
  List of parent devices

## ◆ getPoleWaveform()

Waveform pdumodel::EDevice::getPoleWaveform | ( | in PowerLine | line | ) |

Get the current voltage and current waveforms for a pole of this device.

Note
  If waveform reading is not supported, an empty waveform is returned.

Returns
  Waveform samples

## ◆ getWaveform()

Waveform pdumodel::EDevice::getWaveform | ( |  | ) |

Get the current voltage and current waveforms for this device.

Note
  If waveform reading is not supported, an empty waveform is returned.

Returns
  Waveform samples

The documentation for this interface was generated from the following file:

- EDevice.idl